<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: shoutbox.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
if (!checkrights("S") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

include_once INCLUDES."bbcode_include.php";

if (file_exists(INFUSIONS."podgladacz_pw/locale/".$settings['locale'].".php")) {
	include INFUSIONS."podgladacz_pw/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."podgladacz_pw/locale/Polish.php";
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
		$message = $locale['410'];
	} elseif ($_GET['status'] == "del") {
		$message = $locale['411'];
	} elseif ($_GET['status'] == "delall") {
		$message = number_format(intval($_GET['numr']))." ".$locale['412'];
	}
	if ($message) {	echo "<div class='admin-message'>".$message."</div>\n"; }
}

if (isset($_GET['action']) && $_GET['action'] == "deleteshouts") {
	$deletetime = time() - ($_POST['num_days'] * 86400);
	$numrows = dbcount("(message_id)", DB_MESSAGES, "message_datestamp < '".$deletetime."'");
	$result = dbquery("DELETE FROM ".DB_MESSAGES." WHERE message_datestamp < '".$deletetime."'");
	redirect(FUSION_SELF.$aidlink."&status=delall&numr=$numrows");
} elseif ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['message_id']) && isnum($_GET['message_id']))) {
	$result = dbquery("DELETE FROM ".DB_MESSAGES." WHERE message_id='".$_GET['message_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
} else {
	if (isset($_POST['saveshout']) && (isset($_GET['message_id']) && isnum($_GET['message_id']))) {
		$message_message = str_replace("\n", " ", $_POST['message_message']);
		$message_message = preg_replace("/^(.{255}).*$/", "$1", $message_message);
		$message_message = preg_replace("/([^\s]{25})/", "$1\n", $message_message);
		$message_message = stripinput($message_message);
		$message_message = str_replace("\n", "<br />", $message_message);
		if ($message_message) {
			$result = dbquery("UPDATE ".DB_MESSAGES." SET message_message='$message_message' WHERE message_id='".$_GET['message_id']."'");
			redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['message_id']) && isnum($_GET['message_id']))) {
		$result = dbquery("SELECT * FROM ".DB_MESSAGES." WHERE message_id='".$_GET['message_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
			opentable($locale['420']);
			echo "<form name='editform' method='post' action='".FUSION_SELF.$aidlink."&amp;message_id=".$data['message_id']."'>\n";
			echo "<table cellpadding='0' cellspacing='0' class='center'>\n<tr>\n";
			echo "<td class='tbl'>".$locale['421']."</td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl'><textarea name='message_message' cols='60' rows='3' class='textbox' style='width:250px;'>".str_replace("<br />", "", $data['message_message'])."</textarea></td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td class='tbl' align='center'>".display_bbcodes("150px;", "message_message", "editform", "smiley|b|u|url|color")."</td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' class='tbl'><input type='submit' name='saveshout' value='".$locale['422']."' class='button' /></td>\n";
			echo "</tr>\n</table>\n\n</form>";
			closetable();
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
	opentable($locale['401']);
	$result = dbquery("SELECT * FROM ".DB_MESSAGES);
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows != 0) {

		$i = 0;
		$result = dbquery(
			"SELECT * FROM ".DB_MESSAGES."  LEFT JOIN ".DB_USERS."
			ON ".DB_MESSAGES.".message_from=".DB_USERS.".user_id
			ORDER BY message_datestamp DESC LIMIT ".$_GET['rowstart'].",20"
		);
		echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border center'>\n";
		while ($data = dbarray($result)) {
			echo "<tr>\n<td class='".($i % 2 == 0 ? "tbl1" : "tbl2")."'><span class='comment-name'>";
			if ($data['user_name']) {
				echo "<a href='".BASEDIR."profile.php?lookup=".$data['message_from']."' class='slink'>".$data['user_name']."</a> <strong>".$locale['442'].$data['message_to']."</strong>";
			} else {
				echo $data['message_from'];
			}
			echo "</span>\n<span class='small'>".$locale['global_071'].showdate("longdate", $data['message_datestamp'])."</span><br />\n";
			echo str_replace("<br />", "", parseubb(parsesmileys($data['message_message' ]), "b|i|u|url|color"))."<br />\n";
			echo "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;message_id=".$data['message_id']."'>".$locale['440']."</a> -\n";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;message_id=".$data['message_id']."' onclick=\"return confirm('".$locale['451']."');\">".$locale['441']."</a> -\n";
			echo "<strong>".$locale['444']."</strong> ".$data['message_subject']."</span></td>\n";
			echo "</tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<div style='text-align:center'><br />\n".$locale['443']."<br /><br />\n</div>\n";
	}
	closetable();
	echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],20,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
}

require_once THEMES."templates/footer.php";
?>
